leveldb (1.23-2) unstable; urgency=medium

  * Upload to Sid.
  * Update watch file.
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Oct 2021 08:01:25 +0200

leveldb (1.23-1) experimental; urgency=medium

  * New upstream release.
  * Update patches.
  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

  [ Steve Langasek <steve.langasek@ubuntu.com> ]
  * Make autopkgtests cross-test-friendly (closes: #946291).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 18 Jul 2021 07:47:38 +0200

leveldb (1.22-3) unstable; urgency=medium

  * Reinstate static memenv library.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix FTCBFS: Fix build/host confusion (closes: #933200).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 27 Jul 2019 16:36:03 +0000

leveldb (1.22-2) unstable; urgency=medium

  * Fix library installation (closes: #932917).
  * Fix {,hurd-,kfreebsd-}i386 FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Jul 2019 21:03:17 +0000

leveldb (1.22-1) unstable; urgency=medium

  * New upstream release.
  * Switch to CMake build system.
  * Don't specify parallel to debhelper.
  * Disable Vcs-* fields for now.
  * Be the primary maintainer and keep Alessio as uploader.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Jul 2019 10:20:53 +0000

leveldb (1.20-2.1) sid; urgency=medium

  * Non-maintainer upload for RC bug fix.
  * Bump soname to libleveldb.so.1d and change package name to match, due to
    ABI breakage in 1.20 (closes: #877773)

 -- Julien Cristau <jcristau@debian.org>  Sun, 31 Mar 2019 12:19:04 +0200

leveldb (1.20-2) unstable; urgency=medium

  * Don't run self-test parallel (closes: #717997).
  * Update debhelper level to 11 .
  * Update Standards-Version to 4.1.2:
    - remove libleveldb-dbg package and use the auto-generated one.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Dec 2017 14:26:57 +0000

leveldb (1.20-1) unstable; urgency=low

  * New upstream release (closes: #872909):
    - builds on armhf (closes: #845783).
  * Convert markdown documentation to HTML.
  * Update Standards-Version to 4.1.0:
    - change libleveldb-dbg priority to optional.
  * Update debhelper level to 10 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 23 Sep 2017 14:30:46 +0000

leveldb (1.19-2) unstable; urgency=medium

  * Update source URL.
  * Add myself to debian/copyright .

  [ Daniel Knezevic <Daniel.Knezevic@imgtec.com> ]
  * Add the missing ReadMemoryBarrier and WriteMemoryBarrier functions for
    mips* (closes: #842032).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Nov 2016 13:44:52 +0000

leveldb (1.19-1) unstable; urgency=medium

  * Imported Upstream version 1.19
  * Refresh patchset:
    - Dropped 0002-reproducible_build.patch, adopted upstream.
  * Refresh debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Aug 2016 10:21:53 +0100

leveldb (1.18-5) unstable; urgency=medium

  * Integrate ARM64 support patch to 0001-debian-ports.patch .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 21:21:22 +0200

leveldb (1.18-4) unstable; urgency=medium

  * Add proper ARM64 support from upstream Git tree.
  * Build depend on C++11 ABI transitioned snappy version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 25 Aug 2015 19:58:02 +0200

leveldb (1.18-3) unstable; urgency=medium

  * Rename library to libleveldb1v5 for GCC 5 transition.
  * Update Standards-Version to 3.9.6 .
  * Add myself to uploaders.

  [ Reiner Herrmann <reiner@reiner-h.de> ]
  * Make the build reproducible (closes: #791960).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Aug 2015 08:42:55 +0200

leveldb (1.18-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with "-fPIC" added to CPPFLAGS (Closes: #791374).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jul 2015 09:58:37 +1000

leveldb (1.18-2) unstable; urgency=medium

  * Re-apply patch to debian/patches/0001-debian-ports.patch
    to fix FTBFS on hppa. Thanks to Helge Deller for pointing
    this out promptly. (Closes: #783583)

 -- Alessio Treglia <alessio@debian.org>  Tue, 28 Apr 2015 08:03:56 +0100

leveldb (1.18-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patchset.
  * Drop 1002-cstdatomic_renaming.patch, applied upstream.
  * Upstream project has moved to Github, update references
    accordingly.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 17:59:38 +0100

leveldb (1.17-1) unstable; urgency=low

  * New upstream release.
  * Fix trivial mistake in 1002-cstdatomic_renaming.patch. (Closes: #741325)

 -- Alessio Treglia <alessio@debian.org>  Thu, 19 Jun 2014 11:05:26 +0100

leveldb (1.15.0-2) unstable; urgency=low

  * Allow tests to fail on mips only. Thanks to Dmitry Smirnov
    for the hint. (Closes: #735515)

 -- Alessio Treglia <alessio@debian.org>  Mon, 10 Mar 2014 17:39:33 +0000

leveldb (1.15.0-1) unstable; urgency=low

  * New upstream release.
  * Update Standards.
  * Refresh patches.
  * Multiarchify the -DBG runtime.
  * Update copyright holders information.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 14:49:30 +0000

leveldb (1.14.0-3) unstable; urgency=low

  [ paul cannon ]
  * Ship leveldb-dbg package. (Closes: #728916)

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Nov 2013 09:35:19 +0000

leveldb (1.14.0-2) unstable; urgency=low

  * Inject CPPFLAGS into CFLAGS for hardening.
  * Don't fail when tests fail (temporary workaround, tests are buggy).

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 Oct 2013 15:51:41 +0100

leveldb (1.14.0-1) unstable; urgency=low

  * New upstream release.
  * Remove 1003-sparc_alignment.patch, fixed upstream.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Sep 2013 13:19:10 +0100

leveldb (1.13.0-2) unstable; urgency=low

  * Fix FTBFS on sparc{,64}.
    Thanks to Hilko Bengen for the patch. (Closes: #681946)

 -- Alessio Treglia <alessio@debian.org>  Tue, 27 Aug 2013 09:26:13 +0100

leveldb (1.13.0-1) unstable; urgency=low

  * New upstream release. (Closes: #720609)
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Aug 2013 17:10:29 +0100

leveldb (1.12.0-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release.
  * Refresh patches.

  [ Martin Pitt ]
  * debian/tests/build: Fix typo in file name passed to g++,
    to make the test actually work.

 -- Alessio Treglia <alessio@debian.org>  Thu, 27 Jun 2013 23:49:32 +0100

leveldb (1.10.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/0113-makefile_memenv.patch: Install missing component
    "memenv" (Closes: #701075). Thanks to Dmitry Smirnov for the report
    and patch.
  * Fix VCS fields.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 May 2013 04:55:01 +0200

leveldb (1.9.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 May 2013 11:11:33 +0200

leveldb (1.9.0-2) experimental; urgency=low

  * Improve get-orig-source mechanism.
  * Add autopkgtest support.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Mar 2013 18:29:52 +0000

leveldb (1.9.0-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 12 Jan 2013 14:34:08 +0000

leveldb (1.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #696956)
  * Refresh 1002-cstdatomic_renaming.patch patch.
  * Fix debian/watch file.
    Thanks to Bart Martens for the fix.

 -- Alessio Treglia <alessio@debian.org>  Sat, 29 Dec 2012 23:54:14 +0000

leveldb (1.7.0-1) experimental; urgency=low

  * New upstream release:
    - Fix shared library building.
    - Reorganize linking commands so flags like --as-needed can
      be passed.
    - C binding exports version numbers.
    - Fix small typos in documentation.
  * Drop 0101-as_needed.patch, applied upstream.
  * Refresh patches.
  * Change tarball compression to gzip.

 -- Alessio Treglia <alessio@debian.org>  Sun, 18 Nov 2012 15:18:45 +0000

leveldb (0+20121012.git946e5b5-2) experimental; urgency=low

  * Merge Debian ports patches into an all-in-one 0001-debian-ports.patch
    patch.
  * debian/patches/1002-cstdatomic_renaming.patch:
    - <cstdatomic> has been renamed to <atomic>, fix #include statements.
  * Append CPPFLAGS to CXXFLAGS as the buildsystem doesn't handle it.
  * Disable MIPS implementation for now, the atomic_pointer implementation
    doesn't work.

 -- Alessio Treglia <alessio@debian.org>  Mon, 15 Oct 2012 11:26:21 +0100

leveldb (0+20121012.git946e5b5-1) experimental; urgency=low

  * Update to leveldb 1.6.
  * debian/get-git-source.sh
    - Use HTTP instead of HTTPS to workaround issues with proxies.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Oct 2012 17:14:51 +0100

leveldb (0+20120530.gitdd0d562-2) unstable; urgency=low

  * debian/patches/1001-fix_bloom_test.patch:
    - Increase false positive threshold by 1% to fix FTBFS on big endian
      archs. Patch taken from upstream mailing list. (Closes: #677645)
      (LP: #1021560)

 -- Alessio Treglia <alessio@debian.org>  Tue, 17 Jul 2012 15:38:29 +0200

leveldb (0+20120530.gitdd0d562-1) unstable; urgency=low

  * Imported Upstream version 0+20120530.gitdd0d562
  * Update patch for SuperH.
    Thanks to Nobuhiro Iwamatsu for the great work. (Closes: #671808)
  * Drop 0111-soname_fix.patch, applied upstream.
  * Refresh patches.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Jun 2012 10:38:40 +0200

leveldb (0+20120417.git85584d4-1) unstable; urgency=low

  * New upstream snapshot 20120417.git85584d4:
    - Added bloom filter support.
    - Updated version number to 1.4.
    - Some build tweaks.
    - C binding for CompactRange.
    - Few more benchmarks.
  * debian/patches/0102-kfreebsd.patch
    - Compile port/port_posix.cc to fix FTBFS on kfreebsd. (Closes: #669305)
  * debian/patches/0103-hurd.patch
    - Compile port/port_posix.cc on hurd.
  * Refresh the whole patchset.

 -- Alessio Treglia <alessio@debian.org>  Fri, 20 Apr 2012 11:30:42 +0200

leveldb (0+20120330.gitbc1ee4d-1) unstable; urgency=low

  * Imported upstream snapshot 20120330.gitbc1ee4d.
  * Remove 1001-buildsystem.patch, no longer needed.
  * Refresh patches:
    - debian/patches/0101-as_needed.patch
    - debian/patches/0102-kfreebsd.patch
    - debian/patches/0103-hurd.patch
  * Remove 0010-shared_object.patch, solved by upstream.
  * debian/patches/0111-soname_fix.patch:
    - Fix SONAME, don't prepend soname with any path.
  * debian/patches/0112-makefile_install.patch:
    - Add install target to the makefile.
  * Introduce leveldb1 to provide the shared library.
  * Convert to Multi-Arch.
  * Don't pass --link-doc to dh_installdocs to avoid non-multiarchified
    dependencies on leveldb-doc.
  * Update debian/copyright to copyright format 1.0.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Apr 2012 11:22:27 +0200

leveldb (0+20120125.git3c8be10-1) unstable; urgency=low

  * New upstream snapshot.
  * Build with snappy. (Closes: #654291)

 -- Alessio Treglia <alessio@debian.org>  Thu, 02 Feb 2012 13:21:01 +0100

leveldb (0+20111130.gitc8c5866-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream snapshot.
  * Refresh patches.
  * debian/rules: Support "noopt" flag.

  [ Pino Toscano ]
  * Add preliminary support for GNU/Hurd.

 -- Alessio Treglia <alessio@debian.org>  Mon, 02 Jan 2012 09:44:04 +0100

leveldb (0+20111031.git36a5f8e-2) unstable; urgency=low

  * Fix build failure with --as-needed flag enabled (Closes: #647105).
  * Re-introduce Cristoph Egger's patch to allow compilation
    on kFreeBSD (Closes: #648248).

 -- Alessio Treglia <alessio@debian.org>  Wed, 30 Nov 2011 12:06:07 +0100

leveldb (0+20111031.git36a5f8e-1) unstable; urgency=low

  * Imported Upstream snapshot 0+20111031.git36a5f8e.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Nov 2011 15:07:24 +0100

leveldb (0+20110926.git26db4d9-2) unstable; urgency=low

  * debian/patches/0005-Add-support-S390.patch:
    - Small fix to prevent FTBFS (Closes: #644336).

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 17:45:43 +0200

leveldb (0+20110926.git26db4d9-1) unstable; urgency=low

  * Imported snapshot from upstream's git:
    - Fix GCC -Wshadow warnings in public header files.
    - Add in-memory implementation, users are now allowed to create
      LevelDBs in-memory.
    - Fix a Valgrind warning.
    - Code clean-up.
    - Add GNU/kFreeBSD support.
    - Use uint64_t instead of size_t in MemEnvTest.
  * Add support for the following architectures, a big "thank you!" goes to
    Nobuhiro Iwamatsu for the great work (Closes: #643622):
    - PowerPC
    - IA64
    - Alpha
    - Sparc
    - S390
    - MIPS
    - SuperH
    - PARISC
  * Drop 1002-kfreebsd.patch, accepted upstream.
  * Update get-git-source.sh script.

 -- Alessio Treglia <alessio@debian.org>  Tue, 04 Oct 2011 19:07:11 +0200

leveldb (0+20110901.git7263023-2) unstable; urgency=low

  * Attempt to compile on kFreeBSD, thanks to Christoph Egger for
    the patch (Closes: #640378).

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 09:59:38 +0200

leveldb (0+20110901.git7263023-1) unstable; urgency=low

  * New upstream release.
  * Drop libgoogle-perftools-dev,libsnappy-dev from Build-Depends.
  * Small fix in debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Sep 2011 09:52:36 +0200

leveldb (0~svn47-2) unstable; urgency=low

  * Compile with -fPIC.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 13:21:34 +0200

leveldb (0~svn47-1) unstable; urgency=low

  * New upstream snapshot.

 -- Alessio Treglia <alessio@debian.org>  Sat, 13 Aug 2011 12:52:11 +0200

leveldb (0~svn45-1) unstable; urgency=low

  * Initial release. (Closes: #636695)

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Aug 2011 13:50:34 +0200
